Payment Endpoints
Manage payment records linked to invoices and contacts.
Base Pathโ
/api/payment
Endpointsโ
List Paymentsโ
GET /api/payment
Authorization: Bearer {token}
Get Payment by IDโ
GET /api/payment/:id
Authorization: Bearer {token}
Create Paymentโ
POST /api/payment
Authorization: Bearer {token}
Request Body:
{
"paymentDate": "2025-01-31",
"amount": 2500,
"currency": "USD",
"note": "Partial payment for Invoice #1001",
"paymentMethod": "BANK_TRANSFER",
"invoiceId": "invoice-uuid",
"contactId": "contact-uuid",
"projectId": "project-uuid"
}
Update Paymentโ
PUT /api/payment/:id
Authorization: Bearer {token}
Delete Paymentโ
DELETE /api/payment/:id
Authorization: Bearer {token}
Payment Methodsโ
| Method | Code |
|---|---|
| Cash | CASH |
| Bank Transfer | BANK_TRANSFER |
| Debit Card | DEBIT_CARD |
| Credit Card | CREDIT_CARD |
| Cheque | CHEQUE |
| Online | ONLINE |
Permissionsโ
| Action | Required Permission |
|---|---|
| View | ORG_PAYMENT_VIEW |
| Add | ORG_PAYMENT_ADD |
| Edit | ORG_PAYMENT_EDIT |
Related Pagesโ
- Invoice Endpoints โ invoicing
- Payments Feature โ feature guide